<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { useDashboardStore } from '@/stores/dashboard';
import { storeToRefs } from 'pinia';
import { computed, defineProps } from 'vue';

const store = useDashboardStore();
const { selectedItems } = storeToRefs(store);
const props = defineProps<{
    id: string
}>();

const selection = computed({
    get:()=>{
        return selectedItems.value.findIndex((item)=>item===props.id)!==-1;
    },
    set:(value:boolean)=>{
        if(value)
            selectedItems.value.push(props.id);
        else{
            const itemIndex = selectedItems.value.findIndex((item)=>item===props.id);
            const localSelectedItems = JSON.parse(JSON.stringify(selectedItems.value));
            localSelectedItems.splice(itemIndex,1)
            selectedItems.value = localSelectedItems;
        }
    }
});

</script>
<template>
    <input class="w-4 h-4 checked:after:leading-4 bg-white appearance-none ring-inset ring-1 ring-gray-500  focus:border-accent1-hover transition-all duration-500 ease-in-out checked:after:ml-0.5 checked:after:block text-accent1-text shadow-sm focus:ring-1 focus:outline-0 block rounded checked:bg-accent1-default checked:after:content-['✓']" type="checkbox" v-model="selection"/>
</template>